#pragma once

#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Window/Event.hpp>

#include "application/application.h"

class ApplicationSFML : public Application
{
public:
    explicit ApplicationSFML(sf::RenderWindow * const _render_window);
    virtual void display() override;
    virtual void run() override;

private:
    sf::RenderWindow * const _render_window;
};
